def is_valid_cube(rs):
    # Сортируем грани
    rs.sort()
    # Проверяем пары: (sides[0], sides[5]), (sides[1], sides[4]), (sides[2], sides[3])
    return (rs[0] + rs[5] == rs[1] + rs[4] == rs[2] + rs[3])

# Чтение входных данных
n = int(input().strip())
results = []

for _ in range(n):
    rs = list(map(int, input().strip().split()))
    if is_valid_cube(rs):
        results.append("yes")
    else:
        results.append("no")

# Вывод результатов
print("\n".join(results))


