def lunar_addition(a, b):
    # Преобразуем числа в строки для удобства обработки
    a_str = str(a)
    b_str = str(b)
    
    # Приводим длины строк к одной длине, дополняя нулями слева
    max_len = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_len)
    b_str = b_str.zfill(max_len)
    
    result = []
    
    # Выполняем поэлементную операцию сложения в лунной арифметике
    for i in range(max_len):
        result.append(str(max(int(a_str[i]), int(b_str[i]))))
        
    return ''.join(result)

def lunar_multiplication(a, b):
    # Преобразуем числа в строки для удобства обработки
    a_str = str(a)
    b_str = str(b)
    
    # Приводим длины строк к одной длине, дополняя нулями слева
    max_len = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_len)
    b_str = b_str.zfill(max_len)
    
    result = []
    
    # Выполняем поэлементную операцию умножения в лунной арифметике
    for i in range(max_len):
        result.append(str(min(int(a_str[i]), int(b_str[i]))))
        
    return ''.join(result)

# Чтение входных данных
a = int(input())
b = int(input())

# Вычисляем сумму и произведение в лунной арифметике
sum_result = lunar_addition(a, b)
product_result = lunar_multiplication(a, b)

# Выводим результат
print(sum_result, product_result)
