def lunar_arithmetic(a, b):
    # Приводим числа к одинаковой длине, заполняя нулями слева
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    # Сумма в лунной арифметике (max)
    lunar_sum = ''.join(max(a[i], b[i]) for i in range(max_length))
    
    # Произведение в лунной арифметике (min)
    lunar_product = ''.join(min(a[i], b[i]) for i in range(max_length))

    return lunar_sum, lunar_product

# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление суммы и произведения в лунной арифметике
lunar_sum, lunar_product = lunar_arithmetic(a, b)

# Вывод результатов
print(lunar_sum)
print(lunar_product)
