def find_path(a, b):
    # Начинаем с корня 0/1
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0
    path = []

    while True:
        # Вычисляем среднюю дробь
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        if mid_numerator == a and mid_denominator == b:
            return ''.join(path)  # Вернуть путь, если нашли дробь

        if (mid_numerator * b) < (a * mid_denominator):
            # Двигаемся вправо
            path.append('R')
            left_numerator = mid_numerator
            left_denominator = mid_denominator
        else:
            # Двигаемся влево
            path.append('L')
            right_numerator = mid_numerator
            right_denominator = mid_denominator

        # Проверка на выход за пределы
        if left_denominator + right_denominator == 0:
            break

    return "no"  # Если дробь не найдена

# Чтение входных данных
a, b = map(int, input().split())
result = find_path(a, b)
print(result)

